Subject: Re: bug#12685: 24.2; lexical binding breaks edebug conditional breakpoints

From: Stefan Monnier <[email-masked]>
Date: Fri, 19 Oct 2012 17:41:49 -0400

> Conditional breakpoints whose condition refers to a lexically-scoped
> variable fail with a "Symbol's value as variable is void" error.
> This is almost certainly caused by the same issue as
> http://thread.gmane.org/gmane.emacs.devel/150556

Indeed.

> The current behaviour definitely contradicts this. Not only does the
> breakpoint not work, the error is not "ignored and treated as if the
> result were nil", but instead aborts execution.

The fact that it aborts execution should be fixable before the release
(tho I'm not sure that it's really better to silently mis-interpret the
user's request), but making it actually work will require more
substantial changes, so I don't think it's likely to be fixed for 24.3.

        Stefan